Summary: An HTTP and WebDAV client library
Name: neon
Version: 0.25.5
Release: 10%{?dist}
License: LGPL
Group: Applications/Publishing
Prefix: %{_prefix}
URL: http://www.webdav.org/neon/
Source0: http://www.webdav.org/neon/neon-%{version}.tar.gz
Patch0: neon-0.25.5-multilib.patch
Patch1: neon-0.25.5-pkcs11.patch
BuildRequires: expat-devel, openssl-devel, zlib-devel, krb5-devel
BuildRequires: pkgconfig
BuildRoot: %{_tmppath}/%{name}-root
Conflicts: subversion < 0.22.2-4

%description
neon is an HTTP and WebDAV client library, with a C interface;
providing a high-level interface to HTTP and WebDAV methods along
with a low-level interface for HTTP request handling.  neon
supports persistent connections, proxy servers, basic, digest and
Kerberos authentication, and has complete SSL support.

%package devel
Summary: Development libraries and C header files for the neon library.
Group: Development/Libraries
Requires: neon = %{version}-%{release}, openssl-devel, zlib-devel, expat-devel
Requires: pkgconfig
Conflicts: subversion-devel < 0.22.2-4

%description devel
The development library for the C language HTTP and WebDAV client library.

%prep
%setup -q
%patch0 -p1 -b .multilib
%patch1 -p1 -b .pkcs11

%build
export CPPFLAGS='-DPAKCHOIS_MODPATH=\"%{_libdir}/pkcs11:%{_libdir}\"'
       
export NEON_LIBS="-lpthread -ldl"
%configure --with-ssl --with-expat --enable-shared --enable-warnings
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS TODO src/COPYING.LIB NEWS README THANKS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/pkgconfig/neon.pc
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_libdir}/*.*a
%{_libdir}/*.so

%changelog
* Wed Sep 17 2008 Joe Orton <jorton@redhat.com> 0.25.5-10.el5
- restore explicit dep for -ldl

* Tue Sep 16 2008 Joe Orton <jorton@redhat.com> 0.25.5-9.el5
- PKCS#11 update (#443994)

* Mon Sep  1 2008 Joe Orton <jorton@redhat.com> 0.25.5-8.el5
- really link against -lpthread (#443994)

* Mon Sep  1 2008 Joe Orton <jorton@redhat.com> 0.25.5-7.el5
- link against -lpthread (#443994)

* Fri Aug 29 2008 Joe Orton <jorton@redhat.com> 0.25.5-6.el5
- backport PKCS#11 support (#443994)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.25.5-5.1
- rebuild

* Thu Jun  1 2006 Joe Orton <jorton@redhat.com> 0.25.5-5
- have -devel require pkgconfig (#193355)

* Wed May 24 2006 Joe Orton <jorton@redhat.com> 0.25.5-4
- add multilib fixes for neon-config (#192734)

* Wed May 17 2006 Joe Orton <jorton@redhat.com> 0.25.5-3
- rebuild

* Mon Feb 27 2006 Joe Orton <jorton@redhat.com> 0.25.5-2
- don't trim exported libraries (#182997)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.25.5-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.25.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Joe Orton <jorton@redhat.com> 0.25.5-1
- update to 0.25.5

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Dec  7 2005 Joe Orton <jorton@redhat.com> 0.24.7-10
- strip unnecessary exports from .la file/neon-config

* Tue Nov  8 2005 Tomas Mraz <tmraz@redhat.com> 0.24.7-9
- rebuilt with new openssl

* Fri Sep 23 2005 Joe Orton <jorton@redhat.com> 0.24.7-8
- restore static libs for rpm

* Mon Sep 19 2005 Joe Orton <jorton@redhat.com> 0.24.7-7
- drop static libs, doc/html from devel docdir

* Wed Mar  2 2005 Joe Orton <jorton@redhat.com> 0.24.7-6
- rebuild

* Thu Feb 10 2005 Joe Orton <jorton@redhat.com> 0.24.7-5
- don't define min() in ne_utils.h (Caolan McNamara, #147228)

* Tue Oct 12 2004 Joe Orton <jorton@redhat.com> 0.24.7-4
- update to GSSAPI code from trunk

* Fri Jul 23 2004 Joe Orton <jorton@redhat.com> 0.24.7-3
- rebuild

* Tue Jul 20 2004 Joe Orton <jorton@redhat.com> 0.24.7-2.1
- rebuild

* Tue Jul  6 2004 Joe Orton <jorton@redhat.com> 0.24.7-2
- devel requires neon of same release, expat-devel (#127330)

* Mon Jul  5 2004 Joe Orton <jorton@redhat.com> 0.24.7-1
- update to 0.24.7

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 19 2004 Joe Orton <jorton@redhat.com> 0.24.6-1
- update to 0.24.6

* Wed Apr 14 2004 Joe Orton <jorton@redhat.com> 0.24.5-2
- rebuild

* Wed Apr 14 2004 Joe Orton <jorton@redhat.com> 0.24.5-1
- update to 0.24.5 for CVE CAN-2004-0179 fix

* Thu Mar 25 2004 Joe Orton <jorton@redhat.com> 0.24.4-4
- implement the Negotate auth scheme, and only over SSL

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Joe Orton <jorton@redhat.com> 0.24.4-3
- use BuildRequires not BuildPrereq, drop autoconf, libtool;
  -devel requires {openssl,zlib}-devel (#116744)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com> 0.24.4-2
- rebuilt

* Mon Feb  9 2004 Joe Orton <jorton@redhat.com> 0.24.4-1
- update to 0.24.4

* Thu Oct  9 2003 Joe Orton <jorton@redhat.com> 0.24.3-1
- update to 0.24.3

* Wed Sep 24 2003 Joe Orton <jorton@redhat.com> 0.24.2-1
- update to 0.24.2

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 0.23.9-7
- rebuild

* Tue Jun 24 2003 Joe Orton <jorton@redhat.com> 0.23.9-6
- never print libdir in --libs output

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Joe Orton <jorton@redhat.com> 0.23.9-4
- don't regenerate docs; limit conflict with subversion

* Wed May 28 2003 Jeff Johnson <jbj@redhat.com> 0.23.9-3
- build.

* Sat May 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add ldconfig to post/postun

* Tue May 20 2003 Jeff Johnson <jbj@redhat.com> 0.23.9-2
- force expat, include neon-config, for subversion build.
- do "make check" (but ignore failure for now)

* Mon May 19 2003 Jeff Johnson <jbj@redhat.com> 0.23.9-1
- upgrade to 0.23.9.
- avoid xmlto breakage generating man pages for now.

* Mon Nov 11 2002 Jeff Johnson <jbj@redhat.com> 0.23.5-2
- avoid subversion-devel until libxml2 vs. expat is resolved.

* Sat Nov  9 2002 Jeff Johnson <jbj@redhat.com> 0.23.5-1
- Create.
